Subject: bug#18856: closed (Re: bug#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Nov 2014 14:25:03 +0000

Your bug report

#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18856: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18856
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 01 Nov 2014 16:24:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 29 Oct 2014 18:23:50 -0400
> 
> >  #define READABLE_EVENTS_FILTER_EVENTS		(1 << 1)
> >  #define READABLE_EVENTS_IGNORE_SQUEEZABLES	(1 << 2)
> > +#define READABLE_EVENTS_IGNORE_BUFFER_SWITCH	(1 << 3)
> 
> I think we should not need a new such setting, and can simply use
> READABLE_EVENTS_FILTER_EVENTS (i.e. handle BUFFER_SWITCH_EVENT like we
> handle FOCUS_IN, and I'm surprised there aren't more in that set of "not
> really input" events).

I made the requested change in keyboard.c, and committed both parts,
with the compile.el part on the emacs-24 branch.

Closing.

Subject: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used
From: David Engster <[email-masked]>
To: [email-masked]
Date: Mon, 27 Oct 2014 20:33:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:

* emacs -Q

* M-x set-variable RET jit-lock-defer-time RET 0.05 RET

* Call M-x rgrep and search for some string in some directory

You should be able to see that the *grep* buffer capturing grep's output
is not getting fontified until you hit a key. I would expect that it
gets fontified automatically when new output arrives.

Note that the same problem happens for other buffers which capture
process output, like compilation buffers.

-David